Bug 456061 - call of wpa_supplicant by dbus ignores /etc/sysconfig
call of wpa_supplicant by dbus ignores /etc/sysconfig
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-21 06:22 EDT by Axel
Modified: 2009-07-14 11:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:15:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Axel 2008-07-21 06:22:58 EDT
Description of problem:

There is a /etc/sysconfig entry for wpa_supplicant, which I want to use to dump
logging into /dev/null.  But the file
/usr/share/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service
hard-codes the configuration as 

 Exec=/usr/sbin/wpa_supplicant -c /etc/wpa_supplicant/wpa_supplicant.conf -u -f
/var/log/wpa_supplicant.log

Probably, this should be 
 Exec=/sbin/service wpa_supplicant start
Comment 1 David Zeuthen 2008-07-21 10:55:02 EDT
Maybe if you filed it against the correct component you'd had more luck. Either
way, to me your request sounds invalid.
Comment 2 Dan Williams 2008-07-21 11:52:19 EDT
So the issue with calling /sbin/service is that if the user doesn't have -u on
the options line in the sysconfig setup, this would silently break since the
.service file is a dbus activation file.  What might work better is to have a
custom script that pulls in some options from the sysconfig prefs but also
_always_ adds -u to the end of the line.

Basically, all we care about here are the logging settings.  Any -c, -i, or -D
info is pretty much useless when using the D-Bus interface since that gets
specified using the dbus interface and not on the command line.
Comment 3 Bug Zapper 2009-06-09 22:09:52 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 11:15:01 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.